ApiHdfsFile (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiHdfsFile

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHdfsFile

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiHdfsFile
      extends Object

  An HDFS file descriptor.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHdfsFile()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHdfsFile` | `absolutePath(String absolutePath)`
    `ApiHdfsFile` | `accessTime(String accessTime)`
    `ApiHdfsFile` | `blockSize(BigDecimal blockSize)`
    `ApiHdfsFile` | `dir(Boolean dir)`
    `boolean` | `equals(Object o)`
    `String` | `getAbsolutePath()` Fully qualified path of file.
    `String` | `getAccessTime()` Last access time of file in milliseconds since January 1, 1970 UTC.
    `BigDecimal` | `getBlockSize()` Configured block size of file in bytes.
    `String` | `getGroup()` Group of the file.
    `BigDecimal` | `getLength()` Size of file.
    `String` | `getModificationTime()` Last modification time of file in milliseconds since January 1, 1970 UTC.
    `String` | `getOwner()` Owner of the file.
    `BigDecimal` | `getPermission()` Permission of the file where the digits in order represent: Sticky bit, User action, Group action, Other action.
    `BigDecimal` | `getReplication()` Configured block replication factor of file.
    `ApiHdfsFile` | `group(String group)`
    `int` | `hashCode()`
    `Boolean` | `isDir()` Indicates whether the file is a directory.
    `ApiHdfsFile` | `length(BigDecimal length)`
    `ApiHdfsFile` | `modificationTime(String modificationTime)`
    `ApiHdfsFile` | `owner(String owner)`
    `ApiHdfsFile` | `permission(BigDecimal permission)`
    `ApiHdfsFile` | `replication(BigDecimal replication)`
    `void` | `setAbsolutePath(String absolutePath)`
    `void` | `setAccessTime(String accessTime)`
    `void` | `setBlockSize(BigDecimal blockSize)`
    `void` | `setDir(Boolean dir)`
    `void` | `setGroup(String group)`
    `void` | `setLength(BigDecimal length)`
    `void` | `setModificationTime(String modificationTime)`
    `void` | `setOwner(String owner)`
    `void` | `setPermission(BigDecimal permission)`
    `void` | `setReplication(BigDecimal replication)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHdfsFile

          public ApiHdfsFile()

  - ### Method Detail

    - #### absolutePath

          public ApiHdfsFile absolutePath(String absolutePath)

    - #### getAbsolutePath

          public String getAbsolutePath()

      Fully qualified path of file.
      Returns:
        absolutePath

    - #### setAbsolutePath

          public void setAbsolutePath(String absolutePath)

    - #### length

          public ApiHdfsFile length(BigDecimal length)

    - #### getLength

          public BigDecimal getLength()

      Size of file.
      Returns:
        length

    - #### setLength

          public void setLength(BigDecimal length)

    - #### dir

          public ApiHdfsFile dir(Boolean dir)

    - #### isDir

          public Boolean isDir()

      Indicates whether the file is a directory.
      Returns:
        dir

    - #### setDir

          public void setDir(Boolean dir)

    - #### replication

          public ApiHdfsFile replication(BigDecimal replication)

    - #### getReplication

          public BigDecimal getReplication()

      Configured block replication factor of file.
      Returns:
        replication

    - #### setReplication

          public void setReplication(BigDecimal replication)

    - #### blockSize

          public ApiHdfsFile blockSize(BigDecimal blockSize)

    - #### getBlockSize

          public BigDecimal getBlockSize()

      Configured block size of file in bytes.
      Returns:
        blockSize

    - #### setBlockSize

          public void setBlockSize(BigDecimal blockSize)

    - #### modificationTime

          public ApiHdfsFile modificationTime(String modificationTime)

    - #### getModificationTime

          public String getModificationTime()

      Last modification time of file in milliseconds since January 1, 1970 UTC.
      Returns:
        modificationTime

    - #### setModificationTime

          public void setModificationTime(String modificationTime)

    - #### accessTime

          public ApiHdfsFile accessTime(String accessTime)

    - #### getAccessTime

          public String getAccessTime()

      Last access time of file in milliseconds since January 1, 1970 UTC.
      Returns:
        accessTime

    - #### setAccessTime

          public void setAccessTime(String accessTime)

    - #### permission

          public ApiHdfsFile permission(BigDecimal permission)

    - #### getPermission

          public BigDecimal getPermission()

      Permission of the file where the digits in order represent: Sticky bit, User action, Group action, Other action.
      Returns:
        permission

    - #### setPermission

          public void setPermission(BigDecimal permission)

    - #### owner

          public ApiHdfsFile owner(String owner)

    - #### getOwner

          public String getOwner()

      Owner of the file.
      Returns:
        owner

    - #### setOwner

          public void setOwner(String owner)

    - #### group

          public ApiHdfsFile group(String group)

    - #### getGroup

          public String getGroup()

      Group of the file.
      Returns:
        group

    - #### setGroup

          public void setGroup(String group)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.